com.unitech.lib.reader.types

## Enum VibratorState

- java.lang.Object
- - java.lang.Enum<VibratorState>
  - - com.unitech.lib.reader.types.VibratorState

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<VibratorState>

      public enum VibratorState
      extends java.lang.Enum<VibratorState>
      implements IEnumType

  Indicates the vibrator status of equipment that supports Vibrator.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Off`
    `On`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `static java.lang.String[]` | `names()`
    `java.lang.String` | `toString()` Return the name of the enum
    `static VibratorState` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static VibratorState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VibratorState` | `valueOfName(java.lang.String name)`
    `static VibratorState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Off

          public static final VibratorState Off

    - #### On

          public static final VibratorState On

  - ### Method Detail

    - #### values

          public static VibratorState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VibratorState c : VibratorState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VibratorState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<VibratorState>`
      Returns:
        The name of the enum

    - #### valueOf

          public static VibratorState valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code

    - #### valueOfName

          public static VibratorState valueOfName(java.lang.String name)

    - #### names

          public static java.lang.String[] names()